Subject: Re: [PATCH net-next 4/4] net: sparx5: Correct spelling in comments

From: Simon Horman <[email-masked]>
Date: Tue, 23 Apr 2024 17:18:49 +0100

On Tue, Apr 23, 2024 at 02:54:17PM +0100, Simon Horman wrote:
> On Tue, Apr 23, 2024 at 11:29:15AM +0000, Daniel Machon wrote:
> > > > Hi Simon,
> > > >
> > > > > -/* Convert validation error code into tc extact error message */
> > > > > +/* Convert validation error code into tc exact error message */
> > > >
> > > > This seems wrong. I bet it refers to the 'netlink_ext_ack' struct. So
> > > > the fix should be 'extack' instead.
> > > >
> > > > >  void vcap_set_tc_exterr(struct flow_cls_offload *fco, struct vcap_rule *vrule)
> > > > >  {
> > > > >         switch (vrule->exterr) {
> > > > > diff --git a/drivers/net/ethernet/microchip/vcap/vcap_api_client.h b/drivers/net/ethernet/microchip/vcap/vcap_api_client.h
> > > > > index 56874f2adbba..d6c3e90745a7 100644
> > > > > --- a/drivers/net/ethernet/microchip/vcap/vcap_api_client.h
> > > > > +++ b/drivers/net/ethernet/microchip/vcap/vcap_api_client.h
> > > > > @@ -238,7 +238,7 @@ const struct vcap_set *vcap_keyfieldset(struct vcap_control *vctrl,
> > > > >  /* Copy to host byte order */
> > > > >  void vcap_netbytes_copy(u8 *dst, u8 *src, int count);
> > > > >
> > > > > -/* Convert validation error code into tc extact error message */
> > > > > +/* Convert validation error code into tc exact error message */
> > > >
> > > > Same here.
> > > 
> > > Thanks Daniel,
> > > 
> > > Silly me. I'll drop these changes in v2.
> > 
> > No reason to drop them just change it to 'extack' :-)
> 
> Thanks, will do.

Sorry, I am somehow confused.

Do you mean like this?

/* Convert validation error code into extact error message */

Or just leave things unchanged?

/* Convert validation error code into tc extact error message */